<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/dialogs/buttons/expansiondialogbutton_text.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/da5/expansiondialogbutton__text_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiondialogbutton_text.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/da5/expansiondialogbutton__text_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionDialogButton_Text.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d28/class_expansion_dialog_button___text.html">ExpansionDialogButton_Text</a>: <a class="code hl_class" href="../../d0/df8/class_expansion_dialog_button_base.html">ExpansionDialogButtonBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">   15</a></span>    ref ExpansionDialogButton_TextController <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">m_TextButtonController</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#ab86b3da09c5d38e3af1293d832fadceb">   17</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#ab86b3da09c5d38e3af1293d832fadceb">m_Text</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#afd6d70d7e7cbb2b1b5fa9184cd3adaf9">   19</a></span>    TextWidget <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#afd6d70d7e7cbb2b1b5fa9184cd3adaf9">dialog_text</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a4691e33ba8bb5aec6a510e264b1ac6b4">   20</a></span>    ButtonWidget <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#a4691e33ba8bb5aec6a510e264b1ac6b4">dialog_button</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a2bcf72af656e43d588534d3654b6f3b5">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a2bcf72af656e43d588534d3654b6f3b5">ExpansionDialogButton_Text</a>(<a class="code hl_class" href="../../d7/d1b/class_expansion_dialog_base.html">ExpansionDialogBase</a> dialog)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {       </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d0/df8/class_expansion_dialog_button_base.html#a194468044714e039fc2dac46e8b6d6ee">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">m_TextButtonController</a>)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">m_TextButtonController</a> = ExpansionDialogButton_TextController.Cast(GetController());</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a0225201e87297ba848c632d76d16b0b5">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a0225201e87297ba848c632d76d16b0b5">GetLayoutFile</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/mvc/dialogs/expansion_dialog_button_text.layout&quot;</span>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a6ced02dfa05d0a248ccd33fee701e182">   35</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a6ced02dfa05d0a248ccd33fee701e182">GetControllerType</a>() </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> ExpansionDialogButton_TextController;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a9df1cff0acd468c07446152c0ed08441">   40</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a9df1cff0acd468c07446152c0ed08441">GetButtonText</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#ab86b3da09c5d38e3af1293d832fadceb">m_Text</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#aca08bb334069f093514deca3553f70d3">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#aca08bb334069f093514deca3553f70d3">SetButtonText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#ab86b3da09c5d38e3af1293d832fadceb">m_Text</a> = text;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a1d8e5156ad5e9593e9a2b831af24c8fe">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a1d8e5156ad5e9593e9a2b831af24c8fe">SetContent</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">m_TextButtonController</a>.ButtonText = <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a9df1cff0acd468c07446152c0ed08441">GetButtonText</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">m_TextButtonController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;ButtonText&quot;</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a09b14e0956b0c70f5ab3dd4b73bcf4fc">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a09b14e0956b0c70f5ab3dd4b73bcf4fc">OnButtonClick</a>();</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#aed19435386320b6f36eb190ffaf90759">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#aed19435386320b6f36eb190ffaf90759">OnShow</a>()</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        super.OnShow();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a1d8e5156ad5e9593e9a2b831af24c8fe">SetContent</a>();</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="../../dd/d28/class_expansion_dialog_button___text.html#a20cb6ed19722d17c1d4dc1d4653d6adb">   65</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d28/class_expansion_dialog_button___text.html#a20cb6ed19722d17c1d4dc1d4653d6adb">SetTextColor</a>(<span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_variable" href="../../dd/d28/class_expansion_dialog_button___text.html#afd6d70d7e7cbb2b1b5fa9184cd3adaf9">dialog_text</a>.SetColor(color);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="keyword">class </span>ExpansionDialogButton_TextController: <a class="code hl_class" href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>{</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../da/da5/expansiondialogbutton__text_8c.html#a1df9aa4545b9ab99e9aa70c780615cb5">   73</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/da5/expansiondialogbutton__text_8c.html#a1df9aa4545b9ab99e9aa70c780615cb5">ButtonText</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>}</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html">   76</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html">ExpansionMenuDialogButton_Text</a>: <a class="code hl_class" href="../../d0/db4/class_expansion_menu_dialog_button_base.html">ExpansionMenuDialogButtonBase</a></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>{</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">   78</a></span>    ref ExpansionMenuDialogButton_TextController <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">m_TextButtonController</a>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a7a1e3fc6a6c513aeffab52630ee94622">   80</a></span>    TextWidget <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a7a1e3fc6a6c513aeffab52630ee94622">dialog_text</a>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9219e6cb7dd56d0cd8a48da85d71dd1c">   82</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9219e6cb7dd56d0cd8a48da85d71dd1c">m_Text</a>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9d88d642602e0bd4b55a03621920532b">   84</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9d88d642602e0bd4b55a03621920532b">ExpansionMenuDialogButton_Text</a>(<a class="code hl_class" href="../../d9/db6/class_expansion_menu_dialog_base.html">ExpansionMenuDialogBase</a> dialog)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {       </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_variable" href="../../d0/db4/class_expansion_menu_dialog_button_base.html#adb35553de9fa889dccdee489d175e51f">m_Dialog</a> = dialog;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">m_TextButtonController</a>)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">m_TextButtonController</a> = ExpansionMenuDialogButton_TextController.Cast(GetController());</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a767c2de2941aa375a154f34c8fc081b9">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a767c2de2941aa375a154f34c8fc081b9">GetLayoutFile</a>() </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Core/GUI/layouts/mvc/dialogs/expansion_menu_dialog_button_text.layout&quot;</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ad00563b81416b14eaa7660e9e5924334">   97</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ad00563b81416b14eaa7660e9e5924334">GetControllerType</a>() </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> ExpansionMenuDialogButton_TextController;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af90e6f1688fa6d8b680705ef9c0fcd50">  102</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af90e6f1688fa6d8b680705ef9c0fcd50">GetButtonText</a>()</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9219e6cb7dd56d0cd8a48da85d71dd1c">m_Text</a>;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ad49391f8b5274b27d2bfa6a442e99030">  107</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ad49391f8b5274b27d2bfa6a442e99030">SetButtonText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9219e6cb7dd56d0cd8a48da85d71dd1c">m_Text</a> = text;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af4638e0adb4b64d08aaae747693162ef">  112</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af4638e0adb4b64d08aaae747693162ef">SetContent</a>()</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    {</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">m_TextButtonController</a>.ButtonText = <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af90e6f1688fa6d8b680705ef9c0fcd50">GetButtonText</a>();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">m_TextButtonController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;ButtonText&quot;</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ab41c1744f9e11a9176c3e55cc0459e89">  118</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ab41c1744f9e11a9176c3e55cc0459e89">OnButtonClick</a>();</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a86021e8596d40423f272006022775978">  120</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a86021e8596d40423f272006022775978">SetTextColor</a>(<span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <a class="code hl_variable" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a7a1e3fc6a6c513aeffab52630ee94622">dialog_text</a>.SetColor(color);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa11e8cdc199ef1a0eabd7dceb0babf03">  125</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa11e8cdc199ef1a0eabd7dceb0babf03">OnShow</a>()</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>    {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        super.OnShow();</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        </div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_function" href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af4638e0adb4b64d08aaae747693162ef">SetContent</a>();</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>}</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="keyword">class </span>ExpansionMenuDialogButton_TextController: <a class="code hl_class" href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>{</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/da5/expansiondialogbutton__text_8c.html#a1df9aa4545b9ab99e9aa70c780615cb5">ButtonText</a>;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>}</div>
<div class="ttc" id="aclass_expansion_dialog_base_html"><div class="ttname"><a href="../../d7/d1b/class_expansion_dialog_base.html">ExpansionDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d30/expansiondialogbase_8c_source.html#l00039">expansiondialogbase.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html">ExpansionDialogButton_Text</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00013">expansiondialogbutton_text.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a0225201e87297ba848c632d76d16b0b5"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a0225201e87297ba848c632d76d16b0b5">ExpansionDialogButton_Text::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00030">expansiondialogbutton_text.c:30</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a09b14e0956b0c70f5ab3dd4b73bcf4fc"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a09b14e0956b0c70f5ab3dd4b73bcf4fc">ExpansionDialogButton_Text::OnButtonClick</a></div><div class="ttdeci">void OnButtonClick()</div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a1d8e5156ad5e9593e9a2b831af24c8fe"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a1d8e5156ad5e9593e9a2b831af24c8fe">ExpansionDialogButton_Text::SetContent</a></div><div class="ttdeci">void SetContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00050">expansiondialogbutton_text.c:50</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a20cb6ed19722d17c1d4dc1d4653d6adb"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a20cb6ed19722d17c1d4dc1d4653d6adb">ExpansionDialogButton_Text::SetTextColor</a></div><div class="ttdeci">void SetTextColor(int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00065">expansiondialogbutton_text.c:65</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a2bcf72af656e43d588534d3654b6f3b5"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a2bcf72af656e43d588534d3654b6f3b5">ExpansionDialogButton_Text::ExpansionDialogButton_Text</a></div><div class="ttdeci">void ExpansionDialogButton_Text(ExpansionDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00022">expansiondialogbutton_text.c:22</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a457d236ce137235653a4a9c56b97b3a9"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a457d236ce137235653a4a9c56b97b3a9">ExpansionDialogButton_Text::m_TextButtonController</a></div><div class="ttdeci">ref ExpansionDialogButton_TextController m_TextButtonController</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00015">expansiondialogbutton_text.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a4691e33ba8bb5aec6a510e264b1ac6b4"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a4691e33ba8bb5aec6a510e264b1ac6b4">ExpansionDialogButton_Text::dialog_button</a></div><div class="ttdeci">ButtonWidget dialog_button</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00020">expansiondialogbutton_text.c:20</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a6ced02dfa05d0a248ccd33fee701e182"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a6ced02dfa05d0a248ccd33fee701e182">ExpansionDialogButton_Text::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00035">expansiondialogbutton_text.c:35</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_a9df1cff0acd468c07446152c0ed08441"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#a9df1cff0acd468c07446152c0ed08441">ExpansionDialogButton_Text::GetButtonText</a></div><div class="ttdeci">string GetButtonText()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00040">expansiondialogbutton_text.c:40</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_ab86b3da09c5d38e3af1293d832fadceb"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#ab86b3da09c5d38e3af1293d832fadceb">ExpansionDialogButton_Text::m_Text</a></div><div class="ttdeci">string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00017">expansiondialogbutton_text.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_aca08bb334069f093514deca3553f70d3"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#aca08bb334069f093514deca3553f70d3">ExpansionDialogButton_Text::SetButtonText</a></div><div class="ttdeci">void SetButtonText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00045">expansiondialogbutton_text.c:45</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_aed19435386320b6f36eb190ffaf90759"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#aed19435386320b6f36eb190ffaf90759">ExpansionDialogButton_Text::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00058">expansiondialogbutton_text.c:58</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button___text_html_afd6d70d7e7cbb2b1b5fa9184cd3adaf9"><div class="ttname"><a href="../../dd/d28/class_expansion_dialog_button___text.html#afd6d70d7e7cbb2b1b5fa9184cd3adaf9">ExpansionDialogButton_Text::dialog_text</a></div><div class="ttdeci">TextWidget dialog_text</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00019">expansiondialogbutton_text.c:19</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button_base_html"><div class="ttname"><a href="../../d0/df8/class_expansion_dialog_button_base.html">ExpansionDialogButtonBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d30/expansiondialogbase_8c_source.html#l00138">expansiondialogbase.c:139</a></div></div>
<div class="ttc" id="aclass_expansion_dialog_button_base_html_a194468044714e039fc2dac46e8b6d6ee"><div class="ttname"><a href="../../d0/df8/class_expansion_dialog_button_base.html#a194468044714e039fc2dac46e8b6d6ee">ExpansionDialogButtonBase::m_Dialog</a></div><div class="ttdeci">ref ExpansionDialogBase m_Dialog</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d30/expansiondialogbase_8c_source.html#l00140">expansiondialogbase.c:140</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_base_html"><div class="ttname"><a href="../../d9/db6/class_expansion_menu_dialog_base.html">ExpansionMenuDialogBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00013">expansionmenudialogbase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html">ExpansionMenuDialogButton_Text</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00076">expansiondialogbutton_text.c:77</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_a767c2de2941aa375a154f34c8fc081b9"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a767c2de2941aa375a154f34c8fc081b9">ExpansionMenuDialogButton_Text::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00092">expansiondialogbutton_text.c:92</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_a7a1e3fc6a6c513aeffab52630ee94622"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a7a1e3fc6a6c513aeffab52630ee94622">ExpansionMenuDialogButton_Text::dialog_text</a></div><div class="ttdeci">TextWidget dialog_text</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00080">expansiondialogbutton_text.c:80</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_a86021e8596d40423f272006022775978"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a86021e8596d40423f272006022775978">ExpansionMenuDialogButton_Text::SetTextColor</a></div><div class="ttdeci">void SetTextColor(int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00120">expansiondialogbutton_text.c:120</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_a9219e6cb7dd56d0cd8a48da85d71dd1c"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9219e6cb7dd56d0cd8a48da85d71dd1c">ExpansionMenuDialogButton_Text::m_Text</a></div><div class="ttdeci">string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00082">expansiondialogbutton_text.c:82</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_a9d88d642602e0bd4b55a03621920532b"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#a9d88d642602e0bd4b55a03621920532b">ExpansionMenuDialogButton_Text::ExpansionMenuDialogButton_Text</a></div><div class="ttdeci">void ExpansionMenuDialogButton_Text(ExpansionMenuDialogBase dialog)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00084">expansiondialogbutton_text.c:84</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_aa062f65541121abf05653b3e18d1d180"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa062f65541121abf05653b3e18d1d180">ExpansionMenuDialogButton_Text::m_TextButtonController</a></div><div class="ttdeci">ref ExpansionMenuDialogButton_TextController m_TextButtonController</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00078">expansiondialogbutton_text.c:78</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_aa11e8cdc199ef1a0eabd7dceb0babf03"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#aa11e8cdc199ef1a0eabd7dceb0babf03">ExpansionMenuDialogButton_Text::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00125">expansiondialogbutton_text.c:125</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_ab41c1744f9e11a9176c3e55cc0459e89"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ab41c1744f9e11a9176c3e55cc0459e89">ExpansionMenuDialogButton_Text::OnButtonClick</a></div><div class="ttdeci">void OnButtonClick()</div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_ad00563b81416b14eaa7660e9e5924334"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ad00563b81416b14eaa7660e9e5924334">ExpansionMenuDialogButton_Text::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00097">expansiondialogbutton_text.c:97</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_ad49391f8b5274b27d2bfa6a442e99030"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#ad49391f8b5274b27d2bfa6a442e99030">ExpansionMenuDialogButton_Text::SetButtonText</a></div><div class="ttdeci">void SetButtonText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00107">expansiondialogbutton_text.c:107</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_af4638e0adb4b64d08aaae747693162ef"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af4638e0adb4b64d08aaae747693162ef">ExpansionMenuDialogButton_Text::SetContent</a></div><div class="ttdeci">void SetContent()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00112">expansiondialogbutton_text.c:112</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button___text_html_af90e6f1688fa6d8b680705ef9c0fcd50"><div class="ttname"><a href="../../d7/d0b/class_expansion_menu_dialog_button___text.html#af90e6f1688fa6d8b680705ef9c0fcd50">ExpansionMenuDialogButton_Text::GetButtonText</a></div><div class="ttdeci">string GetButtonText()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/da5/expansiondialogbutton__text_8c_source.html#l00102">expansiondialogbutton_text.c:102</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button_base_html"><div class="ttname"><a href="../../d0/db4/class_expansion_menu_dialog_button_base.html">ExpansionMenuDialogButtonBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00167">expansionmenudialogbase.c:168</a></div></div>
<div class="ttc" id="aclass_expansion_menu_dialog_button_base_html_adb35553de9fa889dccdee489d175e51f"><div class="ttname"><a href="../../d0/db4/class_expansion_menu_dialog_button_base.html#adb35553de9fa889dccdee489d175e51f">ExpansionMenuDialogButtonBase::m_Dialog</a></div><div class="ttdeci">ref ExpansionMenuDialogBase m_Dialog</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0f/expansionmenudialogbase_8c_source.html#l00169">expansionmenudialogbase.c:169</a></div></div>
<div class="ttc" id="aclass_expansion_view_controller_html"><div class="ttname"><a href="../../d1/dc3/class_expansion_view_controller.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6d/3__game_2dayzexpansion__core_2mvc_2scriptviews_2bases_2expansionscriptview_8c_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aexpansiondialogbutton__text_8c_html_a1df9aa4545b9ab99e9aa70c780615cb5"><div class="ttname"><a href="../../da/da5/expansiondialogbutton__text_8c.html#a1df9aa4545b9ab99e9aa70c780615cb5">ButtonText</a></div><div class="ttdeci">ExpansionDialogButton_Text ButtonText</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_a010632d5636c220a8f3f7c7edce9061.html">mvc</a></li><li class="navelem"><a class="el" href="../../dir_1621b81b9785d73209c7f4c12fbe6bef.html">scriptviews</a></li><li class="navelem"><a class="el" href="../../dir_b210f870da4a8116d3a8d204a3e2c636.html">dialogs</a></li><li class="navelem"><a class="el" href="../../dir_67850f27ac3fbbfcca32fea1d9d8cd59.html">buttons</a></li><li class="navelem"><a class="el" href="../../da/da5/expansiondialogbutton__text_8c.html">expansiondialogbutton_text.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
